summaryrefslogtreecommitdiff
path: root/test/script
diff options
context:
space:
mode:
authorBjorn Neergaard <bjorn@neersighted.com>2018-05-01 06:18:03 -0600
committerw0rp <w0rp@users.noreply.github.com>2018-05-01 13:18:03 +0100
commitae85695543c1e303ba062a5359a82c82cac53fd3 (patch)
treed1721711558b7abd228a7f9ff966faf21d5b741b /test/script
parent3331f6c8f4a1a8ffff90ec1a2faea36eff55fe7c (diff)
downloadale-ae85695543c1e303ba062a5359a82c82cac53fd3.zip
Update run-tests to make use of /usr/bin/env (#1548)
* Update run-tests to make use of /usr/bin/env * Update run-vint * Update run-vader-tests * Update custom-linting-rules * Update custom-checks * Update check-toc * Update check-supported-tools-tables
Diffstat (limited to 'test/script')
-rwxr-xr-xtest/script/check-supported-tools-tables5
-rwxr-xr-xtest/script/check-toc5
-rwxr-xr-xtest/script/custom-checks5
-rwxr-xr-xtest/script/custom-linting-rules5
-rwxr-xr-xtest/script/run-vader-tests5
-rwxr-xr-xtest/script/run-vint5
6 files changed, 24 insertions, 6 deletions
diff --git a/test/script/check-supported-tools-tables b/test/script/check-supported-tools-tables
index 32cebb2d..220c7427 100755
--- a/test/script/check-supported-tools-tables
+++ b/test/script/check-supported-tools-tables
@@ -1,4 +1,7 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -e
+set -u
# This script compares the table of supported tools in both the README file
# and the doc/ale.txt file, so we can complain if they don't match up.
diff --git a/test/script/check-toc b/test/script/check-toc
index cc2d2b9c..8e411589 100755
--- a/test/script/check-toc
+++ b/test/script/check-toc
@@ -1,4 +1,7 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -e
+set -u
# This script checks that the table of contents for the supported tools is
# sorted, and that the table matches the files.
diff --git a/test/script/custom-checks b/test/script/custom-checks
index 791053d4..76b9bc86 100755
--- a/test/script/custom-checks
+++ b/test/script/custom-checks
@@ -1,4 +1,7 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -e
+set -u
exit_code=0
image=w0rp/ale
diff --git a/test/script/custom-linting-rules b/test/script/custom-linting-rules
index ef6d792f..0d1a0fd1 100755
--- a/test/script/custom-linting-rules
+++ b/test/script/custom-linting-rules
@@ -1,4 +1,7 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -e
+set -u
# This Bash script implements custom sanity checks for scripts beyond what
# Vint covers, which are easy to check with regex.
diff --git a/test/script/run-vader-tests b/test/script/run-vader-tests
index a10b8baf..3e7e815c 100755
--- a/test/script/run-vader-tests
+++ b/test/script/run-vader-tests
@@ -1,4 +1,7 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -e
+set -u
image=w0rp/ale
docker_flags=(--rm -v "$PWD:/testplugin" -v "$PWD/test:/home" -w /testplugin "$image")
diff --git a/test/script/run-vint b/test/script/run-vint
index e1140307..0d5b6e11 100755
--- a/test/script/run-vint
+++ b/test/script/run-vint
@@ -1,4 +1,7 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -e
+set -u
exit_code=0
image=w0rp/ale